package com.qxgmat.data.constants.enums.status;

/**
 * Created by gaojie on 2017/11/19.
 */
public enum PreviewStatus {
    ALL(0), NO_START(1), PROCESS(2), FINISH(3);
    final static public String message = "状态：1未开始，2进行中，3已结束";

    public int index;
    private PreviewStatus(int index){
        this.index = index;
    }
    public static PreviewStatus ValueOf(Integer index){
        if (index == null) return ALL;
        switch (index){
            case 1:
                return NO_START;
            case 2:
                return PROCESS;
            case 3:
                return FINISH;
            default:
                return ALL;
        }
    }
}
